Page MenuHomePhabricator

[Regression pre-wmf.20] Error "Uncaught TypeError: Cannot read property 'positionDescriptions' of null" after saving page from visual diff
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Edit a page
  2. Go to visual diff section
  3. Click on Save Changes

The following error appears in the console:
Uncaught TypeError: Cannot read property 'positionDescriptions' of null

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2017, 10:04 PM

I don't get this – is there a particular edit/page that it happens on for you?

Ryasmeen added a comment.EditedApr 10 2017, 11:23 PM

It's happening on all pages for me.
Here is a screen capture if it helps,

Jdforrester-WMF triaged this task as Normal priority.Apr 17 2017, 6:06 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Esanders.

Change 349892 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Check diffElement still exists after setTimeout

https://gerrit.wikimedia.org/r/349892

Jdforrester-WMF closed this task as Resolved.Apr 24 2017, 6:04 PM
Jdforrester-WMF assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 24 2017, 6:04 PM

Change 349892 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Check diffElement still exists after setTimeout

https://gerrit.wikimedia.org/r/349892

Ryasmeen edited projects, added Verified; removed Patch-For-Review.Apr 24 2017, 9:04 PM